--Specjalizacja dla Plugi Unia Grudziadz--
--Autor: Rockstar94--
--Data: 29.09.2014--



Plugi = {};

function Plugi.prerequisitesPresent(specializations)
   return true;
end;

function Plugi:load(xmlFile)
	local Regulacja_glebokosci = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Regulacja_glebokosci#index"));
	if Regulacja_glebokosci ~= nil then
		self.Regulacja_glebokosci = Regulacja_glebokosci;
	end;
	
	local Regulacja_skiby = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Regulacja_skiby#index"));
	if Regulacja_skiby ~= nil then
		self.Regulacja_skiby = Regulacja_skiby;
	end;
end;

 function Plugi:delete()
end;

function Plugi:keyEvent(unicode, sym, modifier, isDown)
 end;
 
function Plugi:update(dt)
	local nearestDistance = 1;
	local vx, vy, vz = getWorldTranslation(g_currentMission.player.rootNode);
	local px, py, pz = getWorldTranslation(self.Regulacja_glebokosci); 
	local distance = Utils.vector3Length(px-vx, py-vy, pz-vz); 
	
	if distance < nearestDistance then
		self.przyRegulacja_glebokosci = true; 
	else
		self.przyRegulacja_glebokosci = false; 
	end;
	
	if self.przyRegulacja_glebokosci then
		if InputBinding.isPressed(InputBinding.Regulacjaglebiej) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition+(self.animationParts[1].offSet+dt), false);
		elseif InputBinding.isPressed(InputBinding.Regulacjaplycej) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition-(self.animationParts[1].offSet+dt), false);
		end;
	end;
	
    if self.przyRegulacja_glebokosci then
		g_currentMission:addExtraPrintText(g_i18n:getText("glebokosc"));
	end;

	local nearestDistance = 1;
	local vx, vy, vz = getWorldTranslation(g_currentMission.player.rootNode);
	local px, py, pz = getWorldTranslation(self.Regulacja_skiby); 
	local distance = Utils.vector3Length(px-vx, py-vy, pz-vz); 
	
	if distance < nearestDistance then
		self.przyRegulacja_skiby = true; 
	else
		self.przyRegulacja_skiby = false; 
	end;
	
	if self.przyRegulacja_skiby then
		if InputBinding.isPressed(InputBinding.Regulacjablizej) then
			self:setAnimationTime(2, self.animationParts[2].currentPosition+(self.animationParts[2].offSet+dt), false);
		elseif InputBinding.isPressed(InputBinding.Regulacjadalej) then
			self:setAnimationTime(2, self.animationParts[2].currentPosition-(self.animationParts[2].offSet+dt), false);
		end;
	end;
	
    if self.przyRegulacja_skiby then
		g_currentMission:addExtraPrintText(g_i18n:getText("skiba"));
	end;
end;

function Plugi:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Plugi:validateAttacherJoint(implement, jointDesc, dt)
return true;
end;

function Plugi:draw()
end;